<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php


for($i=0; $i<sizeof($locallazer); $i=$i+1){
	if($locallazer[$i]!="" && $locallazerfrequencia[$i]!=""){
		$sql = "INSERT INTO cultura.usuariolocaislazer(
	            codigousuario, locallazer, frequencialocallazer, idpessoa)
	    		VALUES ($codigousuario, '$locallazer[$i]', '$locallazerfrequencia[$i]', $idpessoa)";

//		$sql = retiraAcentos($sql);
		$result = pg_query($dbh, $sql);

		if (!$result)
		{
			//echo $sql;
			//die();
		   $result = pg_query($dbh, "ROLLBACK");
		   if (!$result)
		   {
		      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
		      $SESSION["f_retornoFatal"] = $erroFatal;
		   }
		   $erro = "Erro na Gravacao dos Locais de Lazer que o usuario frequenta";
		   $_SESSION["f_retorno"]= $erro;
		   pg_close($dbh);
           if ($acaoRequerida == "atualizar")
           {
             header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
           }
           else
           {
             header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
           }
		   exit;
		}
	}
}



// Insere historico de locais lazer do usuario

for($i=0; $i<sizeof($locallazer); $i=$i+1){
	if($locallazer[$i]!="" && $locallazerfrequencia[$i]!=""){
		$sql = "INSERT INTO cultura.historicousuariolocaislazer(
	            codigousuario, dataatualizacao, locallazer, frequencialocallazer, idpessoa)
	    		VALUES ($codigousuario, now(), '$locallazer[$i]', '$locallazerfrequencia[$i]', $idpessoa)";

//		$sql = retiraAcentos($sql);
		$result = pg_query($dbh, $sql);

		if (!$result)
		{
			//echo $sql;
			//die();
		   $result = pg_query($dbh, "ROLLBACK");
		   if (!$result)
		   {
		      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
		      $SESSION["f_retornoFatal"] = $erroFatal;
		   }
		   $erro = "Erro na Gravacao do historico de Locais de Lazer que o usuario frequenta";
		   $_SESSION["f_retorno"]= $erro;
		   pg_close($dbh);
           if ($acaoRequerida == "atualizar")
           {
             header('location:cadastro.php?reacao=retorno&acao=atualizar&'.$p);
           }
           else
           {
             header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
           }
		   exit;
		}
	}
}


?>
